Commit 7f4a5f85 authored by Philip Withnall's avatar Philip Withnall Committed by Juan Pablo Ugarte
Browse files

build: Add dependency on libm for floor() and ceil()

libgladeui depends on libm.

https://bugzilla.gnome.org/show_bug.cgi?id=741923
parent 808cb7d7
......@@ -156,6 +156,8 @@ PKG_CHECK_MODULES([GMODULE_EXPORT],[
gmodule-export-2.0
])
LT_LIB_M
dnl ================================================================
dnl Check for the unix print widgets in gtk+
dnl ================================================================
......
......@@ -15,4 +15,5 @@ URL: http://glade.gnome.org
Version: @PACKAGE_VERSION@
Requires: gtk+-3.0 >= 2.91.2 libxml-2.0 >= 2.4.0
Libs: -L${libdir} -lgladeui-2
Libs.private: -lm
Cflags: -I${includedir}
......@@ -145,7 +145,7 @@ libgladeui_2_la_CFLAGS = \
$(AM_CFLAGS)
libgladeui_2_la_LDFLAGS = -version-info $(GLADE_CURRENT):$(GLADE_REVISION):$(GLADE_AGE) $(AM_LDFLAGS)
libgladeui_2_la_LIBADD = $(GTK_LIBS) $(GTK_MAC_LIBS)
libgladeui_2_la_LIBADD = $(GTK_LIBS) $(GTK_MAC_LIBS) $(LIBM)
libgladeuiincludedir=$(includedir)/libgladeui-2.0/gladeui
libgladeuiinclude_HEADERS = \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment